package com.jxml.quick.model.qjml;
import com.jxml.quick.ocm.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.io.*;

/**
 * Models the targetClass element in QJML.
 * The targetClass element simply gives the fully qualified name of a Java class.
 <pre>
DTD:

&lt;!ELEMENT targetClass <a href="#text">(#PCDATA)</a>>

&lt;!ATTLIST targetClass
&nbsp;&nbsp;&nbsp;&nbsp;ID id #IMPLIED
>
 </pre> 
 */
public class QMTargetClass extends QMCloneable implements QMTarget, QBiModal
{
	/**
	 * The text content of the element.
	 */
	public String text="";

	/**
	 * Returns the text content of the element.
	 */
	public String getQText()
	{
		return text;
	}

	/**
	 * Sets the text content of the element.
	 */
	public void setQText(String text)
	{
		this.text=text;
	}

	public String getClassName()
		throws SAXException
	{
		return text;
	}
}
